TakenAt: 2010-03-12T17:10:07Z
TakenSrc: meta
UID: prjwufdb4ahoguk4
Type: image
Title: Bakery / 2010
Altitude: 30
Year: 2010
Month: 3
Day: 12
ISO: 500
Exposure: 1/60
FNumber: 4
FocalLength: 35
Quality: 3
Details:
  Keywords: bakery, green, reunion
  KeywordsSrc: meta
  Subject: Reunion
  SubjectSrc: meta
  Software: Adobe Photoshop CS6 (Macintosh)
  SoftwareSrc: meta
CreatedAt: 2022-10-17T18:38:01.331282545Z
UpdatedAt: 2022-10-17T18:38:01.335257346Z
